/**
 * @file ftci.h
 *
 * @brief This file contains function prototypes and data definitions that
 * helps to preapre FTCI frame and transmit FTCI frame
*/

#ifndef SRC_TX_REQUEST_PREPARE_H_
#define SRC_TX_REQUEST_PREPARE_H_
#include "stdio.h"
#include "string.h"
#include <stdlib.h>

#include "data_type.h"
#include "message_frame_def.h"
#include "tc_tm_sample.h"
#include "upload_def.h"


extern s_transfer_info tx_info;
extern uint8_t session_id;
extern s_string_info dest_path_name_info;
extern s_string_info ftci_frame_info;

tc_tm_id_e_ft ftci(void);
uint8_t determine_size_field_holding_len(uint32_t size);
void init_ftci(void);
void prepare_ftci_frame();

#endif /*SRC_TX_REQUEST_PREPARE_H_ */
